import Card from '..';
import React from 'react';
import ReactDOM from 'react-dom';
import { Box, Button } from '../..';
const commonProps = {
    title: 'Title',
    style: { width: 300 },
    subTitle: 'Sub-title',
    extra: React.createElement(Button, { text: true, type: "primary" }, "Link"),
};
ReactDOM.render(React.createElement(Box, { direction: "row", spacing: 20 },
    React.createElement(Card, { free: true, style: { width: 300 } },
        React.createElement(Card.Header, Object.assign({ title: "Simple Card" }, commonProps)),
        React.createElement(Card.Divider, null),
        React.createElement(Card.Content, null, "Lorem ipsum dolor sit amet, est viderer iuvaret perfecto et. Ne petentium quaerendum nec, eos ex recteque mediocritatem, ex usu assum legendos temporibus. Ius feugiat pertinacia an, cu verterem praesent quo."),
        React.createElement(Card.Divider, null),
        React.createElement(Card.Actions, null,
            React.createElement(Button, { type: "primary", key: "action1", text: true }, "Action 1"),
            React.createElement(Button, { type: "primary", key: "action2", text: true }, "Action 2"))),
    React.createElement(Card, { free: true, style: { width: 300 } },
        React.createElement(Card.Header, Object.assign({ title: "Simple Card" }, commonProps)),
        React.createElement(Card.Divider, { inset: true }),
        React.createElement(Card.Content, null, "Lorem ipsum dolor sit amet, est viderer iuvaret perfecto et. Ne petentium quaerendum nec, eos ex recteque mediocritatem, ex usu assum legendos temporibus. Ius feugiat pertinacia an, cu verterem praesent quo."),
        React.createElement(Card.Divider, { inset: true }),
        React.createElement(Card.Actions, null,
            React.createElement(Button, { type: "primary", key: "action1", text: true }, "Action 1"),
            React.createElement(Button, { type: "primary", key: "action2", text: true }, "Action 2")))), document.getElementById('card-demo-2'));
